# Client

[![CI](https://github.com/Relayz-io/client/actions/workflows/ci.yml/badge.svg?branch=develop)](https://github.com/Relayz-io/client/actions/workflows/ci.yml)

## Common-API 🦆

Commonly used **API** among different dependencies. For example **key-exchange-server**

## Web-Client 🦘

Client library for communication from browser and *Near blockchain*. It's a high-level **API**. User doesn't need to understand how blockchain works.

### Usage of web-client library:

Please follow the [official instructions](https://docs.github.com/en/enterprise-server@3.4/packages/working-with-a-github-packages-registry/working-with-the-npm-registry#installing-a-package) to use the latest package.

### Build

```sh
wasm-pack build web-client --target bundler --out-dir ../pkg
```

### Test

**Pre requirements:**
Clone a `key-exchange-server` and `near-smartcontracts`.
Deploy their docker instances:

⚠️ Please keep the order(`near-smartcontracts` depends on the `key-exchange-server` network)

1. `key-exchange-server`: ```bash docker-compose up -d```
2. `near-smartcontracts`: ```bash docker-compose -f docker-compose.yml -f docker-compose.tests.yml up -d```

Then:

`docker-compose up`
